Manuel PHP
Précédent |  | Suivant

# DOMElement->setAttribute()

(no version information, might be only in CVS)

DOMElement->setAttribute() -- Ajoute un nouvel attribut

## Description

class DOMElement {
bool setAttribute ( string name, string value )
}

Ajoute un attribut avec comme nom name et comme valeur value. Si l'attribut n'existe pas, il sera créé.

## Liste de paramètres

name

  Le nom de l'attribut.

value

  La valeur de l'attribut.

## Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Lancé si le noeud est en lecture seule.

## Exemples

Exemple 1. Ajout d'un attribut
`<?php $doc = new DOMDocument("1.0"); $node = $doc->createElement("para"); $newnode = $doc->appendChild($node); $newnode->setAttribute("align", "left"); ?>`

## Voir aussi

DOMElement->hasAttribute()
DOMElement->getAttribute()
DOMElement->removeAttribute()

Précédent | Sommaire | Suivant
DOMElement->removeAttributeNS() | Niveau supérieur | DOMElement->setAttributeNode()